Articles / Debian: Security update for...

Debian: Security update for tiff

Alexander Gavrun discovered an integer overflow in the TIFF library in the parsing of the TileSize entry, which could result in the execution of arbitrary code if a malformed image is opened. Updated packages are available from security.debian.org.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

- -------------------------------------------------------------------------
Debian Security Advisory DSA-2447-1                   security@debian.org
http://www.debian.org/security/                        Moritz Muehlenhoff
April 04, 2012                         http://www.debian.org/security/faq
- -------------------------------------------------------------------------

Package        : tiff
Vulnerability  : integer overflow
Problem type   : local(remote)
Debian-specific: no
CVE ID         : CVE-2012-1173

Alexander Gavrun discovered an integer overflow in the TIFF library
in the parsing of the TileSize entry, which could result in the execution 
of arbitrary code if a malformed image is opened.

For the stable distribution (squeeze), this problem has been fixed in
version 3.9.4-5+squeeze4.

For the unstable distribution (sid), this problem will be fixed soon.

We recommend that you upgrade your tiff packages.

Further information about Debian Security Advisories, how to apply
these updates to your system and frequently asked questions can be
found at: http://www.debian.org/security/

Mailing list: debian-security-announce@lists.debian.org
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk98pp4ACgkQXm3vHE4uyloucgCg3QsYGeMbPPkjs/EtUgcCMayO
0WcAniNEz6dPDAhg/20A9JvVj6HvVH08
=8Jl2
-----END PGP SIGNATURE-----
Screenshot

Project Spotlight

termit

A vte-based terminal emulator.

Screenshot

Project Spotlight

HotelDruid

A Web-based hotel and rental property management system.